-- 3.5.41 Power
-- Добавляем в объект "Линия" ссылку на опору, которая является отпаечной
ALTER TABLE Линия
ADD Номер_отпаечной_опоры int NULL
GO
ALTER TABLE Линия ADD FOREIGN KEY(Номер_отпаечной_опоры)
REFERENCES Опора(Код_опоры)
GO
-- Удаляем из объекта "Линия" поле "Имя_фидера"
ALTER TABLE Линия
DROP COLUMN Имя_фидера
GO
-- Переносим поле "Диспетчерское_наименование" из объекта "Линия" в объект "Объект"
-- и переименовываем его в "Альтернативное_наименование"
ALTER TABLE Объект 
ADD Альтернативное_наименование varchar(200) NULL
-- Переносим данные из поля "Линия.Диспетчерское_наименование" в поле "Объект.Альтернативное_наименование"
exec('UPDATE Объект SET Альтернативное_наименование = (SELECT Диспетчерское_наименование FROM Линия WHERE Код_линии = Код_объекта)')
-- Удаляем поле "Линия.Диспетчерское_наименование"
ALTER TABLE Линия
DROP COLUMN Диспетчерское_наименование
GO
-- Удаляем Views: ExistingObjects и DesignObjects
DROP VIEW ExistingObjects;
GO
DROP VIEW DesignObjects;
GO
-- Создаем заново Views: ExistingObjects и DesignObjects
CREATE VIEW ExistingObjects
	WITH SCHEMABINDING
	AS
	SELECT 
	   	Код_объекта,
	        Код_типа_объекта,     
	        Код_диспетчерского_управления, 
	        Наименование,         
	        Код_объекта_владельца,
		Инвентарный_номер,    
		Примечание,	     
		GUID,		     
	        Балансовая_стоимость, 
	        Порядковый_номер,
                Номер_документа,
                Дата_документа,
		В_проекте,
		Альтернативное_наименование     
	FROM dbo.Объект
	WHERE В_проекте = 0
	WITH CHECK OPTION
GO
CREATE VIEW DesignObjects
	WITH SCHEMABINDING
	AS
	SELECT 
	   	Код_объекта,
	        Код_типа_объекта,     
	        Код_диспетчерского_управления, 
	        Наименование,         
	        Код_объекта_владельца,
		Инвентарный_номер,    
		Примечание,	     
		GUID,		     
	        Балансовая_стоимость, 
	        Порядковый_номер,
                Номер_документа,
                Дата_документа,
 		В_проекте,
		Альтернативное_наименование     
	FROM dbo.Объект
	WHERE В_проекте = 1
	WITH CHECK OPTION
GO